
%define snapshot	20080223
%define driver	drm-experimental

# (2007/12) these mods fail: ffb
%define common_modules	drm tdfx r128 radeon mga i810 i915 sis savage via mach64 nouveau xgi

Name: libdrm-experimental
Summary: Userspace interface to kernel DRM services - experimental version
Version: 2.3.0
Release: %mkrel 1.%snapshot.1
Group: Development/X11
License: MIT/X11
URL: http://xorg.freedesktop.org
# git clone git://anongit.freedesktop.org/git/mesa/drm/ ; cd drm
# git archive --prefix=drm-$(date +%Y%m%d)/ --format=tar HEAD | bzip2 > ../drm-$(date +%Y%m%d).tar.bz2
Source:		drm-%snapshot.tar.bz2
BuildRoot: %{_tmppath}/%{name}-root
BuildArch: noarch

%description
DKMS kernel modules of DRM git and nouveau drm userspace header.

This is an experimental version not recommended for general use.

# For now we only provide nouveau header file. Nouveau works fine
# with our current stable libdrm library, so no need for git libdrm.
# If some other use arises, we can add a build under /opt.
# - Anssi 12/2007

%package -n drm-nouveau-devel
Summary: Nouveau drm header - experimental version
Group: Development/X11

%description -n drm-nouveau-devel
Nouveau userspace drm header file.

This is an experimental version not recommended for general use.

%files -n drm-nouveau-devel
%defattr(-,root,root)
%dir %{_includedir}/drm
%{_includedir}/drm/nouveau_drm.h

%package -n dkms-%driver
Summary:	DKMS kernel modules of DRM and DRI drivers - experimental version
Group:		System/Kernel and hardware
Requires:	dkms
Requires(post):	dkms
Requires(preun): dkms

%description -n dkms-%driver
Direct Rendering Manager DKMS kernel module and the associated
hardware kernel modules.

This is an experimental version not recommended for general use.


%prep
%setup -q -n drm-%{snapshot}

%install
rm -rf %{buildroot}

install -d -m755 %{buildroot}%{_includedir}/drm
install -m644 shared-core/nouveau_drm.h %{buildroot}%{_includedir}/drm

install -d -m755 %{buildroot}%{_usrsrc}/%{driver}-%{version}-%{release}
cp -a shared-core linux-core scripts %{buildroot}%{_usrsrc}/%{driver}-%{version}-%{release}

cat > %{buildroot}%{_usrsrc}/%{driver}-%{version}-%{release}/dkms.conf <<EOF
PACKAGE_NAME="%{driver}"
PACKAGE_VERSION="%{version}-%{release}"
MAKE[0]="make -C linux-core DRM_MODULES=\"%common_modules\" \
	LINUXDIR=\$kernel_source_dir"
CLEAN="make -C linux-core clean"
AUTOINSTALL=YES
EOF

i=0
for module in %common_modules; do
	cat >> %{buildroot}%{_usrsrc}/%{driver}-%{version}-%{release}/dkms.conf <<-EOF
	BUILT_MODULE_NAME[$i]="$module"
	BUILT_MODULE_LOCATION[$i]="linux-core"
	DEST_MODULE_LOCATION[$i]="/kernel/drivers/char/drm"
	EOF
	i=$((i+1))
done

%clean
rm -rf %{buildroot}

%post -n dkms-%driver
dkms add     -m %{driver} -v %{version}-%{release} --rpm_safe_upgrade &&
dkms build   -m %{driver} -v %{version}-%{release} --rpm_safe_upgrade &&
dkms install -m %{driver} -v %{version}-%{release} --rpm_safe_upgrade --force
rmmod %common_modules nvidia fglrx &>/dev/null
true

%preun -n dkms-%driver
dkms remove  -m %{driver} -v %{version}-%{release} --rpm_safe_upgrade --all
rmmod %common_modules nvidia fglrx &>/dev/null
true

%files -n dkms-%driver
%defattr(-,root,root)
%{_usrsrc}/%{driver}-%{version}-%{release}


%changelog
* Sat Feb 23 2008 Anssi Hannula <anssi@mandriva.org> 2.3.0-1.20080223.1mdv2008.1
+ Revision: 174092
- new snapshot

* Tue Feb 05 2008 Anssi Hannula <anssi@mandriva.org> 2.3.0-1.20080205.1mdv2008.1
+ Revision: 162720
- new snapshot

* Sun Jan 20 2008 Anssi Hannula <anssi@mandriva.org> 2.3.0-1.20080120.1mdv2008.1
+ Revision: 155157
- new snapshot

* Fri Jan 11 2008 Anssi Hannula <anssi@mandriva.org> 2.3.0-1.20080111.1mdv2008.1
+ Revision: 148728
- new snapshot

* Tue Dec 25 2007 Anssi Hannula <anssi@mandriva.org> 2.3.0-1.20071224.1mdv2008.1
+ Revision: 137622
- initial Mandriva release

